preferably something older, and it should be able to run on windows 7.